[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Pulp-list] help with pulp_deb



Robert,

pulp_deb is definitely incomplete. As far as I know, one of the biggest blockers for its completion is that python-apt is completely broken in EPEL and Fedora. Try to "import apt" and watch it explode. The package maintainer has been mostly MIA, plus it's using a very old version of libapt.

pulp_deb is a community undertaking that the main Pulp team at Red Hat has not (yet) worked on. However, we are very interested in supporting anyone who is interested in working on it, as there is quite a bit of community demand for it.

That said, I haven't looked very closely at the code. If you or anyone else is interested in putting some substantial effort into it, I'd be happy to talk in detail about what generally needs to be done, and possibly go through the existing code to see where it stands. You should probably contact Endre directly to see what his take is on the code's state.

Lastly, I apologize for our embarrassingly-incorrect python package versions. Sadly, the versions in our setup.py files have been neglected and in this case are not at all reliable. That's high on my priority list of things to fix.

Thanks for your interest.

Michael Hrivnak

----- Original Message -----
From: "Robert Terhaar" <rterhaar atlanticdynamic com>
To: pulp-list redhat com
Sent: Friday, July 5, 2013 2:07:29 PM
Subject: [Pulp-list] help with pulp_deb

I am working with Endre Karlson's pulp_deb plugin with Pulp 2.1, and I am having some problems getting it working. ( https://github.com/ekarlso/pulp_deb )

It appears that the pulp_deb plugin is only partially completed- but I might be doing something wrong. After installing Pulp and the pulp_deb plugin components [1], I get the attached error message when I try to start the pulp server [2]. I don't see `url_utils` anywhere in the code.


Can anyone give me some guidance on how I can begin working to update/fix or the pulp_deb plugin? Or am I just doing something wrong?

Thanks!


[1]
$ pip freeze | grep pulp
pulp-deb==2.0.0
pulp-deb-common==2.0.0
pulp-deb-extensions-admin==2.0.0
pulp-deb-handlers==2.0.0
pulp-puppet-common==2.1.0
pulp-puppet-extensions-admin==2.1.0
pulp-puppet-plugins==2.1.0
pulp-rpm==2.0.0


[2]
cannot import name url_utils
...
  File "/usr/lib/python2.6/site-packages/pulp_deb/plugins/importers/downloaders/factory.py", line 23, in <module>
    from pulp_deb.plugins.importers.downloaders import url_utils


_______________________________________________
Pulp-list mailing list
Pulp-list redhat com
https://www.redhat.com/mailman/listinfo/pulp-list


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]